Subject: Re: bug#65359: [PATCH] eglot: add "lexical" LSP server

From: Mou Tong <[email-masked]>
Date: Fri, 18 Aug 2023 06:19:10 +0000

Eli Zaretskii <[email-masked]> writes:

> Thanks, but the fact the command is a shell script again needs the
> w32-shell-dos-semantics dance, like language_server.sh did.

I'm afraid lexical doesn't support Windows for now.

Currently lexical only provides `start_lexical.sh`, but I guess it
will support Windows soon since I had seen such a sentence in this
[PR] (it got merged in last week):

> All of our files can be ported to windows fairly easily

Should we wait until it supports Windows?

[PR]: https://github.com/lexical-lsp/lexical/pull/314